import 'dart:async';
import 'dart:io';

import 'package:flutter/services.dart';
import 'package:flutter_native_config/flutter_native_config.dart';

class read_native_channel_plugin {
  static const MethodChannel _channel =
      const MethodChannel('readNativeChannelPlugin');

  static Future<String> get channelName async {
    final String channelName = await _channel.invokeMethod('getChannelName');
    return channelName;
  }

  static Future<String> getConfig({String android, String ios}) {
    if (Platform.isIOS) {
      return FlutterNativeConfig.getConfig(ios: ios,name: ios);
    } else if (Platform.isAndroid) {
      if (android == "channelName") {
        return read_native_channel_plugin.channelName;
      } else {
        return FlutterNativeConfig.getConfig(android: android,name: android);
      }
    }
  }
}
